import "./index.esm-0G7eAEV5.js";
import { t as _sfc_main$1 } from "./SecondaryButton-ub85RH3e.js";
import { A as _sfc_main$5, M as _sfc_main$3, S as _sfc_main$2, Y as $decimal, f as _sfc_main$4 } from "../ssr.js";
import { useForm } from "@inertiajs/vue3";
import { createTextVNode, toDisplayString, unref, useSSRContext, withCtx } from "vue";
import { ssrInterpolate, ssrRenderAttrs, ssrRenderComponent } from "vue/server-renderer";
//#region resources/js/Pages/Sma/People/CustomerGroup/Form.vue
var _sfc_main = {
	__name: "Form",
	__ssrInlineRender: true,
	props: ["current", "price_groups"],
	emits: ["close", "done"],
	setup(__props, { emit: __emit }) {
		const emits = __emit;
		const props = __props;
		const form = useForm({
			_method: props.current?.id ? "put" : "post",
			name: props.current?.name,
			details: props.current?.details,
			discount: $decimal(props.current?.discount),
			price_group_id: props.current?.price_group_id,
			apply_as_discount: true
		});
		return (_ctx, _push, _parent, _attrs) => {
			_push(`<form${ssrRenderAttrs(_attrs)}><div class="border-b border-gray-200 px-6 py-4 dark:border-gray-700"><div class="sm:flex sm:items-baseline sm:justify-between"><div class="sm:w-0 sm:flex-1"><h1 class="text-focus text-base font-semibold">${ssrInterpolate(__props.current?.id ? _ctx.$t("Edit {x}", { x: _ctx.$t("Customer Group") }) : _ctx.$t("Add {x}", { x: _ctx.$t("Customer Group") }))}</h1><p class="text-mute mt-1 truncate text-sm">${ssrInterpolate(_ctx.$t("Please fill the form below to {action} {record}.", {
				record: _ctx.$t("Customer group"),
				action: __props.current?.id ? _ctx.$t("edit") : _ctx.$t("add")
			}))}</p></div></div></div><div class="grid grid-cols-6 gap-6 p-6"><div class="col-span-6 sm:col-span-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$2), {
				id: "name",
				label: _ctx.$t("Name"),
				modelValue: unref(form).name,
				"onUpdate:modelValue": ($event) => unref(form).name = $event,
				error: unref(form).errors.name
			}, null, _parent));
			_push(`</div><div class="col-span-6 sm:col-span-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$2), {
				id: "discount",
				label: _ctx.$t("Discount"),
				modelValue: unref(form).discount,
				"onUpdate:modelValue": ($event) => unref(form).discount = $event,
				error: unref(form).errors.discount
			}, null, _parent));
			_push(`</div><div class="col-span-6 sm:col-span-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				json: true,
				searchable: false,
				id: "price_group_id",
				suggestions: __props.price_groups,
				modelValue: unref(form).price_group_id,
				"onUpdate:modelValue": ($event) => unref(form).price_group_id = $event,
				label: _ctx.$t("Customer Group Price Group"),
				error: unref(form).errors.price_group_id
			}, null, _parent));
			_push(`</div><div class="col-span-full">`);
			_push(ssrRenderComponent(unref(_sfc_main$4), {
				id: "details",
				label: _ctx.$t("Details"),
				modelValue: unref(form).details,
				"onUpdate:modelValue": ($event) => unref(form).details = $event,
				error: unref(form).errors.details
			}, null, _parent));
			_push(`</div></div><div class="flex flex-row justify-end bg-gray-100 px-6 py-4 text-end dark:bg-gray-950">`);
			_push(ssrRenderComponent(unref(_sfc_main$1), { onClick: ($event) => emits("close") }, {
				default: withCtx((_, _push, _parent, _scopeId) => {
					if (_push) _push(`${ssrInterpolate(_ctx.$t("Cancel"))}`);
					else return [createTextVNode(toDisplayString(_ctx.$t("Cancel")), 1)];
				}),
				_: 1
			}, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$5), {
				class: "ms-3",
				loading: unref(form).processing
			}, {
				default: withCtx((_, _push, _parent, _scopeId) => {
					if (_push) _push(`${ssrInterpolate(_ctx.$t("Save"))}`);
					else return [createTextVNode(toDisplayString(_ctx.$t("Save")), 1)];
				}),
				_: 1
			}, _parent));
			_push(`</div></form>`);
		};
	}
};
var _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
	const ssrContext = useSSRContext();
	(ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Sma/People/CustomerGroup/Form.vue");
	return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
//#endregion
export { _sfc_main as default };
